
%define PACK_VER 1

%define dist PCLinuxOS
%define disttag pclos
%define distver     (PCLinuxOS)

%define readers_dir %{_libdir}/pcsc/drivers

# set this to 1 for hotplug-only systems (like FC4)
%define use_hotplug 0
%define use_udev 0
%define major 6


Name:		ctapi-cyberjack
Summary:	CT-API 1.1 driver for REINER SCT cyberjack USB chipcard reader
Summary(de):	CT-API 1.1 Treiber für REINER SCT cyberJack USB Kartenleser
Version:	3.99.5
Release:        %mkrel 6
License: 	LGPL
URL:            http://www.reiner-sct.de/
Group: 		System Environment/Libraries
Source: 	pcsc-cyberjack-%{version}final.SP08.tar.xz
Patch0:		%{name}-returns-random-data.patch
Patch2:		cyberjack-unlink.patch
Source2:	fxcyberjack.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:	udev
Requires:	pcsc-lite
BuildRequires:	%{_lib}usb1.0-devel
BuildRequires:	%{_lib}fox1.6-devel
BuildRequires:	gcc-c++
#BuildRequires:	hal-devel
BuildRequires:	pkgconfig
BuildRequires:	pcsc-lite-devel

%description
REINER SCT cyberJack pinpad/e-com USB user space driver

This package includes the CT-API driver for the CyberJack USB chipcard reader.

This package changes the permissions of the device to grant access to users of
the group "cyberjack".

Therefore you should add all users which are to access the reader to the
group "cyberjack".

If you run into problems you should start the tool "cyberjack" in a console
and watch its output.

For more information regarding installation under Linux see the README.txt
in the documentation directory, esp. regarding compatibility with host
controllers.

For more information about the reader, software updates and a shop see
http://www.reiner-sct.com/

%description -l de
REINER SCT cyberJack pinpad/e-com USB Treiber für den Userspace.

Dieses Paket enthält den CT-API Treiber für die CyberJack USB Chipkartenleser.
Dieses Paket ändert die Berechtigungen des Gerätes, damit der Zugriff für Benutzer 
gewährt wird, die in der Gruppe "cyberjack" sind.
Deshalb sollten Sie jeden Benutzer, der Zugriff auf den Leser braucht in die 
Gruppe "cyberjack" eintragen.
Wenn Probleme auftreten sollten Sie das Programm fxcyberjack (Paket ctapi-cyberjack-gui) 
starten und nach den Fehlern suchen lassen.
Für weitere Informationen bezüglich das Lesegerät, Softwareupdates and einen 
Shop besuchen Sie http://www.reiner-sct.com/


%post
/sbin/ldconfig
/etc/init.d/pcscd restart

%postun
/sbin/ldconfig



%files
%defattr(0644,root,root)
%doc COPYRIGHT.GPL COPYRIGHT.LGPL doc/README.txt doc/LIESMICH.txt
%attr(0755,root,root) %{_bindir}/cyberjack
%attr(0755,root,root) %{_libdir}/cyberjack/getdist.sh
%{_libdir}/cyberjack/pcscd_init.diff
%{readers_dir}/libifd-cyberjack.bundle/Contents/Info.plist
%{readers_dir}/libifd-cyberjack.bundle/Contents/Linux/libifd-cyberjack.so
%{readers_dir}/libifd-cyberjack.bundle/Contents/Linux/libifd-cyberjack.so.%{major}*
%{readers_dir}/libifd-cyberjack.bundle/Contents/PkgInfo
%{_mandir}/cyberjack.8.bz2


# hotplug (not needed for newer systems)
#%attr(0755,root,root) %{_sysconfdir}/hotplug.d/usb/usbcyberjack
#%{_sysconfdir}/hotplug/usb/cyberjack.usermap
%if %use_hotplug
%attr(0755,root,root) %{_sysconfdir}/hotplug/usb/usbcyberjack
%{_sysconfdir}/hotplug/usb/cyberjack.usermap
%else
%{_sysconfdir}/*
%endif

%if %use_udev
%attr(0755,root,root) /sbin/udev.cyberjack.sh
%endif

#------------------------------ GUI ------------------------------


%package gui
Summary:	Graphical Diagnostic Tool
Summary(de):	Grafisches Diagnosewerkzeug
Requires:	%{name} = %{version}
Group:		System Environment/Libraries

%description gui
Graphical diagnostic tool for Reiner SCT cyberJack card readers.

This package contains a graphical tool which lists all connected 
Reiner SCT readers and allows flashing E-Com A and newer readers.

It can also be used to diagnose most frequent problems in the reader-/driver
setup.

%description gui -l de
Grafisches Diagnosewerkzeug für Reiner SCT cyberJack Kartenleser.
Dieses Paket enthält ein grafisches Werkzeug, welches alle verbundenen 
Reiner SCT Lesegeräte auflistet und es erlaubt E-Com A und neuere 
Geräte zu flashen.

Es kann auch dazu genutzt werden, die häufigsten Probleme in den Leser-/
Treibereinstellungen zu finden.

%files gui
%attr(0755,root,root) %{_bindir}/fxcyberjack
%{_datadir}/applications/%{name}-gui.desktop
%{_datadir}/pixmaps/fxcyberjack.png

#------------------------------- build area ---------------------------------------

%prep
%setup -q -n pcsc-cyberjack-3.99.5final.SP08
%patch0 -p1
#%patch1 -p1
# replaces unlink call which the compiler does not like
%patch2 -p0

%build
autoreconf -fis
%configure2_5x \
	--disable-static \
	--sysconfdir="%{_sysconfdir}" \
	--with-usbdropdir="%{_libdir}/pcsc/drivers" \


%make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
test -d $RPM_BUILD_ROOT%{readers_dir} || mkdir $RPM_BUILD_ROOT/%{readers_dir}
rm $RPM_BUILD_ROOT%{readers_dir}/libifd-cyberjack.bundle/Contents/Linux/*.la


%__install -dm 755 %{buildroot}/%{_datadir}/pixmaps
%__install -m 644 %{SOURCE2} \
	%{buildroot}/%{_datadir}/pixmaps

%__install -dm 755 %{buildroot}/%{_datadir}/applications
%__cat > %{name}-gui.desktop << EOF
[Desktop Entry]
Type=Application
Comment=Graphical diagnostic tool for Reiner SCT cyberJack card readers
Comment[de]=Grafisches Diagnosewerkzeug für Reiner SCT cyberJack Kartenleser
Terminal=false
Exec=fxcyberjack
Icon=fxcyberjack
Name=Diagnostic tool for Reiner SCT cyberJack
GenericName=Diagnostic tool for Reiner SCT cyberJack
GenericName[de]=Diagnosewerkzeug für Reiner SCT cyberJack
Categories=Settings;X-MandrivaLinux-System-Configuration;
EOF
%__install -m 644 %{name}-gui.desktop \
	%{buildroot}/%{_datadir}/applications/%{name}-gui.desktop

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

#---------------------------- history ------------------------------------

%changelog
* Wed Sep 23 2015 ghostbunny <ghostbunny at gmx dot de> 3.99.5-6pclos2015
- update to source version SP08

* Mon Apr 28 2014 ghostbunny <ghostbunny at gmx dot de> 3.99.5-5pclos2014
- update to source version SP05

* Thu Nov 07 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 3.99.5-4pclos2013
- fix permissions of getdist.sh in libdir it have to be executeable
- fix permissions of cyberjack executeable in /usr/bin
- add german summaries, descriptions and translations of the desktop file
- move the package description of the non gui package into the right section
- fix install location of the driver for new locations in pcsc

* Tue Oct 15 2013 billybot <billybot> 3.99.5-3pclos2013
- fix desktop file (no category)
- fix post script (insserv is for systemd)

* Mon Oct 14 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 3.99.5-2pclos2013+
- rebuild against current pcsc-lite
- add xz compression for source
- add patch 2
- add R pcsc-lite

* Sun Jun 17 2012 Neal <nealbrks0 at gmail dot com> 3.99.5-1pclos2012
- process

* Sat Jun 16 2012 leiche <meisssw01 at aol.com> 3.99.5-1pclos2012
- 3.99.5

* Sun Apr 25 2010 leiche <meisssw01 at aol.com> 3.3.5-1pclos2010
- import to pclinuxos

* Wed May 02 2007 - Martin Preuss <martin@libchipcard.de>
+ ctapi-cyberjack-3.0.0beta1-1
- modified specfile to create RPMs for any RPM-based system
- now uses autotools

